# Package com.salesforce.datacloud.jdbc.util

Interface Summary
ThrowingFunction<T,​R,​E extends Exception>
ThrowingSupplier<T,​E extends Exception>

Class Summary
ArrowUtils
Constants
ConsumingPeekingIterator<T>
DateTimeUtils: Datetime utility functions.
Messages
MetadataCacheUtil
PropertiesExtensions
Require
Result<T>
Result.Failure<T>
Result.Success<T>
SqlErrorCodes
StreamUtilities
StringCompatibility
VectorPopulator: Populates vectors in a VectorSchemaRoot with values from a list of parameters.